## com.ibatis.jpetstore.persistence.iface
Interface ItemDao

All Known Implementing Classes:
  ItemSqlMapDao

public interface ItemDao

Method Summary
`Item` `getItem(String itemId)`
`com.ibatis.common.util.PaginatedList` `getItemListByProduct(String productId)`
`boolean` `isItemInStock(String itemId)`
`void` `updateQuantity(Order order)`

Method Detail

### updateQuantity

    public void updateQuantity(Order order)

### isItemInStock

    public boolean isItemInStock(String itemId)

### getItemListByProduct

    public com.ibatis.common.util.PaginatedList getItemListByProduct(String productId)

### getItem

    public Item getItem(String itemId)

Copyright © 2005-2007 Apache Software Foundation. All Rights Reserved.